﻿@model NorthWind.Facade.OrderModel

@using (Ajax.BeginForm("Create", "Orders", new AjaxOptions { HttpMethod = "POST", OnSuccess = "OnSuccess" }))
{
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" data-dismiss="modal">&times;</span>
                <h4>Order Detail</h4>
            </div>
            <div class="modal-body">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#orderinfo" data-toggle="tab">Order Detail</a>
                    </li>
                    <li>
                        <a href="#ordership" data-toggle="tab">Shiping Info</a>
                    </li>
                    <li>
                        <a href="#orderproduct" data-toggle="tab">Product List</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="orderinfo" class="tab-pane fade in active" style="padding: 20px">
                        <div class="row">
                            <div class="form-horizontal">
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                                <div class="form-group">
                                    <label class="control-label col-md-3">Order ID</label>
                                    <div class="col-md-3">
                                        @Html.TextBoxFor(x => x.Order.OrderID, new { @readonly = true, @class = "form-control" })
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3">Customer</label>
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            @Html.HiddenFor(x => x.Order.CustomerID)
                                            @Html.TextBoxFor(x => x.Customer.CompanyName, new { @class = "form-control freeze" })
                                            @Html.ValidationMessageFor(x => x.Order.CustomerID, "", new { @class = "text-danger" })
                                            <div class="input-group-btn">
                                                <button type="button" onclick="lookupCustomer()" class="btn btn-primary">
                                                    <i class="glyphicon glyphicon-search"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3">Employee</label>
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            @Html.HiddenFor(x => x.Order.EmployeeID)
                                            @Html.TextBoxFor(x => x.Employee.FirstName, new { @class = "form-control freeze" })
                                            @Html.ValidationMessageFor(x => x.Order.EmployeeID, "", new { @class = "text-danger" })
                                            <div class="input-group-btn">
                                                <button type="button" onclick="lookupEmployee()" class="btn btn-primary">
                                                    <i class="glyphicon glyphicon-search"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3">Order Date</label>
                                    <div class="col-md-3">
                                        <div class="input-group date">
                                            @Html.TextBoxFor(x => x.Order.OrderDate, new { @Value = DateTime.Now.ToString("dd-MMM-yyyy"), @class = "form-control" })
                                            @Html.ValidationMessageFor(x => x.Order.OrderDate, "", new { @class = "text-danger" })
                                            <div class="input-group-addon">
                                                <i class="glyphicon glyphicon-calendar"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <label class="control-label col-md-2">Required Date</label>
                                    <div class="col-md-3">
                                        <div class="input-group date">
                                            @Html.TextBoxFor(x => x.Order.RequiredDate, new { @Value = DateTime.Now.ToString("dd-MMM-yyyy"), @class = "form-control" })
                                            @Html.ValidationMessageFor(x => x.Order.RequiredDate, "", new { @class = "text-danger" })
                                            <div class="input-group-addon">
                                                <i class="glyphicon glyphicon-calendar"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3">Shipped Date</label>
                                    <div class="col-md-3">
                                        <div class="input-group date">
                                            @Html.TextBoxFor(x => x.Order.ShippedDate, new { @Value = DateTime.Now.ToString("dd-MMM-yyyy"), @class = "form-control" })
                                            @Html.ValidationMessageFor(x => x.Order.ShippedDate, "", new { @class = "text-danger" })
                                            <div class="input-group-addon">
                                                <i class="glyphicon glyphicon-calendar"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div id="ordership" class="tab-pane fade" style="padding: 20px">
                        <div class="form-horizontal">
                            <div class="form-group">
                                <label class="control-label col-md-3">Ship Via</label>
                                <div class="col-md-3">
                                    <div class="input-group">
                                        @Html.HiddenFor(x => x.Order.ShipVia)
                                        @Html.TextBoxFor(x => x.Shipper.CompanyName, new { @class = "form-control" })
                                        @Html.ValidationMessageFor(x => x.Order.ShipVia, "", new { @class = "text-danger" })
                                        <div class="input-group-btn">
                                            <button type="button" onclick="lookupShipper()" class="btn btn-primary">
                                                <i class="glyphicon glyphicon-search"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <label class="control-label col-md-2">Freight</label>
                                <div class="col-md-3">
                                    @Html.TextBoxFor(x => x.Order.Freight, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(x => x.Order.Freight, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3">Ship Name</label>
                                <div class="col-md-8">
                                    @Html.TextBoxFor(x => x.Order.ShipName, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(x => x.Order.ShipName, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3">Ship Address</label>
                                <div class="col-md-8">
                                    @Html.TextBoxFor(x => x.Order.ShipAddress, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(x => x.Order.ShipAddress, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3">Ship Region</label>
                                <div class="col-md-3">
                                    @Html.TextBoxFor(x => x.Order.ShipRegion, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(x => x.Order.ShipRegion, "", new { @class = "text-danger" })
                                </div>
                                <label class="control-label col-md-2">Ship Postal Code</label>
                                <div class="col-md-3">
                                    @Html.TextBoxFor(x => x.Order.ShipPostalCode, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(x => x.Order.ShipPostalCode, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3">Ship City</label>
                                <div class="col-md-3">
                                    @Html.TextBoxFor(x => x.Order.ShipCity, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(x => x.Order.ShipCity, "", new { @class = "text-danger" })
                                </div>
                                <label class="control-label col-md-2">Ship Country</label>
                                <div class="col-md-3">
                                    @Html.TextBoxFor(x => x.Order.ShipCountry, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(x => x.Order.ShipCountry, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="orderproduct" class="tab-pane fade" style="padding: 20px">
                        <div class="row">
                            <div class="col-md-1"></div>
                            <div class="col-md-10">
                                <table id="orderdetail-dt" class="table table-striped table-bordered" width="100%"></table>
                            </div>
                            <div class="col-md-1"></div>
                        </div>
                        <div class="row">
                            <div class="col-md-1"></div>
                            <div class="col-md-10">
                                <button type="button" class="btn btn-primary" onclick="showNewOrderDetail(@Model.Order.OrderID)"><i class="glyphicon glyphicon-plus"></i> Add New</button>
                            </div>
                            <div class="col-md-1"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary"><i class="glyphicon glyphicon-save"></i> Save</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" style="margin-right: 60px"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div>
        </div>
    </div>
}


<script type="text/javascript">
    $('.freeze').freeze();
    $('#Order_Freight').digits();
    $('.input-group.date').initdate();

    var orderdetaildt = $('#orderdetail-dt').DataTable({
        processing: true,
        serverSide: true,
        ajax: {
            url: "@Url.Action("GetOrderDetail", "Orders")"
        },
        columns: [
            {
                data: 'ProductID', sortable: false, render: function (data) {
                    return '<a href="javascript:showOrderDetail('+data+',1)" style="margin-right: 5px"><i class="glyphicon glyphicon-search"></i></a>' +
                        '<a href="javascript:showOrderDetail('+data+',2)" style="margin-right: 5px; color: green"><i class="glyphicon glyphicon-edit"></i></a>' +
                        '<a href="javascript:deleteOrderDetail('+data+')" style="margin-right: 5px; color: red" ><i class="glyphicon glyphicon-remove"></i></a>';
                }
            },
            { title: 'Product ID', data: 'ProductID' },
            { title: 'Product Name', data: 'ProductName' },
            { title: 'UnitPrice', data: 'UnitPrice' },
            { title: 'Quantity', data: 'Quantity' },
            { title: 'Discount', data: 'Discount' }
        ],
        aaSorting: [[1, 'asc']],
        lengthMenu: [[5,10, 25, 50], [5,10, 25, 50]]
    });

    function showOrderDetail(id, state){
        $('#order-detail').load('Orders/OrderDetail/'+id+'/'+state);
        $('#order-detail').modal();
    }

    function showNewOrderDetail(id){
        $('#order-detail').load('Orders/AddOrderDetail/'+id);
        $('#order-detail').modal();
    }

    function deleteOrderDetail(id){
        $.post("Orders/DeleteOrderDetail/"+id,{}, function(res){
            orderdetaildt.ajax.reload();
        });
    }

    function UpdateListOrderDetail(data){
        if (data !== 'success') {
            $("#order-detail").html(data);
            return;
        }
        $('#order-detail').modal('hide');
        $("#order-detail").html("");
        orderdetaildt.ajax.reload();
    }

</script>
